> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reilabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent Deletion

> Delete a Rei Agent using the user's secret token.



## OpenAPI

````yaml /openapi.json delete /accounts/units
openapi: 3.0.3
info:
  title: Reigent API
  version: 1.0.0
  description: API for managing Rei Agents and chat completions.
servers:
  - url: https://api.reilabs.org/v1
  - url: https://rei-api.reilabs.org/v1
security: []
paths:
  /accounts/units:
    servers:
      - url: https://api.reilabs.org/v1
    delete:
      tags:
        - Agent Management
      summary: Agent Deletion
      description: Delete a Rei Agent using the user's secret token.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - agentKey
              properties:
                agentKey:
                  type: string
                  description: rei-agent-secret-token from Rei Portal
      responses:
        '204':
          description: Success
        '401':
          description: Unauthorized
        '404':
          description: User Agent not found
      security:
        - UserSecretToken: []
components:
  securitySchemes:
    UserSecretToken:
      type: http
      scheme: bearer
      description: Account API Key from Rei Portal

````